//
//  AppnextMoPubNativeCustomEvent.h
//  AppnextNativeAdsMoPubAdapter
//
//  Created by Eran Mausner on 19/12/2016.
//  Copyright © 2016 Appnext. All rights reserved.
//

#if __has_include(<MoPub/MoPub.h>)
    #import <MoPub/MoPub.h>
#else
    #import "MPNativeCustomEvent.h"
#endif
#import <AppnextNativeAdsSDK/AppnextNativeAdsRequest.h>

@interface AppnextMoPubNativeCustomEvent : MPNativeCustomEvent

/*
 * Override this method if you wish to configure the ad request in your code.
 * To do this you inherit from this class and implement this method.
 * All non-null parameters('categories', 'postback', 'creativeType') are taken into account except count which is ignored.
 * Parameters set in the MoPub Self Service, in the 'Edit Network' page, are also ignored and the parameters from the MoPub self service are used.
 */
- (AppnextNativeAdsRequest *) getNativeAdsRequest;

@end
