//
//  AppnextMoPubNativeAdAdapter.h
//  AppnextNativeAdsMoPubAdapter
//
//  Created by Eran Mausner on 19/12/2016.
//  Copyright © 2016 Appnext. All rights reserved.
//

#if __has_include(<MoPub/MoPub.h>)
    #import <MoPub/MoPub.h>
#else
    #import "MPNativeAdAdapter.h"
#endif
#import <AppnextSDKCore/AppnextAdData.h>
#import <AppnextNativeAdsSDK/AppnextNativeAdsSDKApi.h>

@interface AppnextMoPubNativeAdAdapter : NSObject <MPNativeAdAdapter>

@property (nonatomic, weak) id<MPNativeAdAdapterDelegate> delegate;

- (instancetype) initWithSDK:(AppnextNativeAdsSDKApi *)api withAdData:(AppnextAdData *)adData;

@end
